using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a gargoyle corpse" )]
	public class GargoyleIce : BaseCreature
	{
		[Constructable]
		public GargoyleIce() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "gargoyle" );
			HiddenTitle = "the gargoyle";
			Body = 311;
			BaseSoundID = 0x174;

			SetStr( 369, 413 );
			SetDex( 114, 143 );
			SetInt( 122, 158 );

			SetHits( 222, 248 );

			SetDamage( 17, 26 );

			SetSkill( SkillName.MagicResist, 105.1, 120.0 );
			SetSkill( SkillName.Tactics, 100.1, 120.0 );
			SetSkill( SkillName.HandToHand, 80.1, 120.0 );

			Fame = 7000;
			Karma = -7000;

			VirtualArmor = 60;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Gems, 3 );
			AddLoot( LootPack.MedPotions );
		}

		public GargoyleIce( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}